function y = initial_velocities(y,T)

global N D m kb

vcm = [0 0];
for i = 1:N
    vi(1,1) = 2*rand()-1;
    vi(1,2) = 2*rand()-1;
    vcm = vcm + m.*vi;
    v(i,:) = vi;
end

vcm = vcm ./ (N*m);

ii = D*N+1;
for i = 1:N
    v(i,:) = v(i,:) - vcm;
    y(ii,1) = v(i,1);
    y(ii+1,1) = v(i,2);
    ii = ii + 2;
end

KE = kinetic_energy(y);
KETarget = 3/2*N*kb*T;
f = sqrt(KETarget/KE);

for i = D*N+1:2*D*N
    y(i,:) = f.*y(i,:);
end