function plot_positionsEq(y)

%plot positions for equilibration time (i.e., before electrode is turned
%on)

global N L W

clf;

hold on;
subplot(2,1,1);
axis([0 L 0 W]);
axis image;

for i = 1:N
    rx(i,1) = y(2*i-1);
    ry(i,1) = y(2*i);
    rx(i,1) = map_inside(rx(i,1));
    ry(i,1) = map_inside(ry(i,1));
end

plot(rx,ry,'bo','MarkerFaceColor','b','MarkerSize',5);





