function dVdr = potentialderivative(r)

%r is number not a vector

global eps sigma

%return the value of the Lennard Jones potential (V(r))
%V'(r) = dV/dr is a number not a vector

dVdr = 4*eps*(((6*sigma^6)/r^7) - ((12*sigma^12)/r^13));